#-------------------------------------------------------------
# Configuration parameters for the Student Submission System
#
# $Author: jcook $
# $Date: 1998/09/21 17:37:02 $
# $Revision: 1.1 $
# $Source: /home/others1/jcook/public_html/scripts/RCS/sssconfig.tcl,v $
#
# Copyright (c) 1998 Regents of New Mexico State University.
# All rights reserved.
#-------------------------------------------------------------

# User/Group Id that the script executes as (note: the group can be
# overridden for a class-specific group)
set User [exec /usr/ucb/whoami]
set Group [lindex [split [exec /usr/ucb/groups]] 0]

# Email stuff (correct for www.cs.nmsu.edu)
set Mailer cs.cs.nmsu.edu
set MailDomain cs.nmsu.edu

# Directories and Files
set ScriptDir /user/joshagam/public_html/cgi-bin
set HtmlDir   /user/joshagam/public_html
set AdmDir    /user/joshagam/classes/sss
set AdmDataFile $AdmDir/upload.data
set AdmLogFile  $AdmDir/log

# file and directory create permissions. I set mine to allow group 
# write access so that my TA (whom I have COG put in a class group)
# can create grade files and compile/assemble assignments and such.
set FilePerms 0600
set DirectoryPerms 0700

# external commands used by SSS scripts (correct for www.cs.nmsu.edu)
set CmdUUdecode uudecode
set CmdFile file
set CmdGunzip /local/gzip/bin/gunzip
set CmdTar tar
set CmdChmod chmod
set CmdChgrp chgrp
set CmdLs /bin/ls

# Mail header stuff
set MailFrom {Joshua Shagam <joshagam@cs.nmsu.edu>}

# HTML body attributes
set HTMLBody {bgcolor="#fffff0" text="#000000" link="#007700"
    alink="#777700" vlink="#770000"}
